<T3QConfig>
  <ConfigurationProfiles>
    <QualityCheckProfile>
      <profileName>stf160Profile</profileName>
      <profileVersion>v2.0.0b27</profileVersion>
 <!--  <resourceExtensionsRegExp>ttcn|ttcn3|3mp</resourceExtensionsRegExp> -->
  <!--    <projectExtension>t3p</projectExtension> -->
  <ignoredResourceRegExp>(.*[/\\]Common[/\\](IMS_LibSip|IMS_XSD)[/\\].*[.]ttcn)</ignoredResourceRegExp>     
 <!--   <settingRecursiveProcessing>true</settingRecursiveProcessing>  -->   
      <checkLevelOfNestedCalls>true</checkLevelOfNestedCalls>
      <maxLevelOfNestedCalls>4</maxLevelOfNestedCalls>
      <checkListedVariableDeclarations>true</checkListedVariableDeclarations>
      <checkInlineTemplates>true</checkInlineTemplates> <!-- this functionality MUST be revisited... -->
      <settingAbortOnError>true</settingAbortOnError>
      <loggingConfiguration>
        <showFullPath>true</showFullPath>
        <showFilename>true</showFilename>
        <showMessageClass>true</showMessageClass>
        <showDetails>true</showDetails>
        <logOutputPrefix></logOutputPrefix>
      </loggingConfiguration>
      <statShowSummary>true</statShowSummary>
      <statShowLOC>true</statShowLOC>
      <featureListImportedModuleNames>false</featureListImportedModuleNames>
      <featureListImportedModuleFileNames>false</featureListImportedModuleFileNames>
      <featureListImportingModuleNames>false</featureListImportingModuleNames>
      <featureListImportingModuleFileNames>false</featureListImportingModuleFileNames>
      <checkLogItemFormat>false</checkLogItemFormat>     <!-- original value: true -->
      <checkLogStatementFormat>true</checkLogStatementFormat>
      <processSubsequentLogStatementsAsOne>true</processSubsequentLogStatementsAsOne>
      <logFormatRegExp>[\*]{3}\s([fta]_[a-zA-Z0-9]+?):\s(INFO|WARNING|ERROR|PASS|FAIL|INCONC|TIMEOUT):\s.*?[\*]{3}</logFormatRegExp>
      <checkExternalFunctionInvocationPrecededByLogStatement>false</checkExternalFunctionInvocationPrecededByLogStatement>      <!-- original value: true -->
      <checkInconcOrFailSetVerdictPrecededByLog>false</checkInconcOrFailSetVerdictPrecededByLog>                                <!-- original value: true -->
      <checkNoLabelsOrGotoStatements>true</checkNoLabelsOrGotoStatements>
      <checkNoNestedAltStatements>true</checkNoNestedAltStatements>
      <maximumAllowedNestingDepth>1</maximumAllowedNestingDepth>     <!-- original value: 0 -->
      <checkNoPermutationKeyword>false</checkNoPermutationKeyword>   <!-- original value: true -->
      <checkNoAnyTypeKeyword>true</checkNoAnyTypeKeyword>
      <checkNoModifiedTemplateOfModifiedTemplate>true</checkNoModifiedTemplateOfModifiedTemplate>
      <checkNoAllKeywordInPortDefinitions>true</checkNoAllKeywordInPortDefinitions>
      <checkImportsComeFirst>true</checkImportsComeFirst>
      <checkLocalDefinitionsComeFirst>true</checkLocalDefinitionsComeFirst> 
      <localDefinitionTypes>         <!-- original order: VarInstance, ConstDef, TimerInstance, PortInstance -->
        <string>ConstDef</string>
        <string>VarInstance</string>
        <string>TimerInstance</string>
        <string>PortInstance</string>
      </localDefinitionTypes>
      <checkTypeDefOrderInGroup>false</checkTypeDefOrderInGroup>         <!-- original value: true -->
      <checkPortMessageGrouping>false</checkPortMessageGrouping>         <!-- original value: true -->
      <checkNoDuplicatedModuleDefinitionIdentifiers>true</checkNoDuplicatedModuleDefinitionIdentifiers>
      <checkZeroReferencedModuleDefinitions>false</checkZeroReferencedModuleDefinitions>        <!-- original value: true -->
      <zeroReferencedModuleDefinitionsExcludedRegExp></zeroReferencedModuleDefinitionsExcludedRegExp>
      <checkNoInlineTemplates>true</checkNoInlineTemplates>
      <checkNoOverSpecificRunsOnClauses>true</checkNoOverSpecificRunsOnClauses>
      <recursionInCheckNoOverSpecificRunsOnClauses>true</recursionInCheckNoOverSpecificRunsOnClauses>
      <aliasInCheckNoOverSpecificRunsOnClauses>true</aliasInCheckNoOverSpecificRunsOnClauses>
      <checkNoUnusedImports>true</checkNoUnusedImports>
      <checkNoUnusedFormalParameters>true</checkNoUnusedFormalParameters>
      <checkNoUnusedLocalDefinitions>true</checkNoUnusedLocalDefinitions>
      <checkNoUninitialisedVariables>true</checkNoUninitialisedVariables>
      <checkNoUninitialisedVariablesExclude>
		<!--
        <string>enumerated</string>
        <string>union</string>
        <string>record of</string>
        <string>record</string>
        <string>set of</string>
        <string>set</string>
        -->
      </checkNoUninitialisedVariablesExclude>
      <checkNoLiterals>false</checkNoLiterals>   <!-- original value: true -->
      <checkTypesAndValuesModuleContainmentCheck>false</checkTypesAndValuesModuleContainmentCheck>                      <!-- original value: true -->
      <checkTemplatesModuleContainmentCheck>false</checkTemplatesModuleContainmentCheck>                                <!-- original value: true -->
      <checkFunctionsModuleContainmentCheck>false</checkFunctionsModuleContainmentCheck>                                <!-- original value: true -->
      <checkFunctionsModuleContainmentCheckAllowExtFunction>true</checkFunctionsModuleContainmentCheckAllowExtFunction>
      <checkTestcasesModuleContainmentCheck>false</checkTestcasesModuleContainmentCheck>                                <!-- original value: true -->
      <checkModuleParamsModuleContainmentCheck>true</checkModuleParamsModuleContainmentCheck>
      <checkInterfaceModuleContainmentCheck>false</checkInterfaceModuleContainmentCheck>                                <!-- original value: true -->
      <checkTestSystemModuleContainmentCheck>true</checkTestSystemModuleContainmentCheck>
      <checkTestControlModuleContainmentCheck>true</checkTestControlModuleContainmentCheck>
      <checkTypesAndValuesModuleImportsLibNames>true</checkTypesAndValuesModuleImportsLibNames>                        <!-- original value: true -->
      <typesAndValuesImportsLibNamesRegExp>.*?LibCommon.*</typesAndValuesImportsLibNamesRegExp>
      <typesAndValuesImportsLibNamesExcludedRegExp>(.*?LibCommon.*)</typesAndValuesImportsLibNamesExcludedRegExp>       <!-- original value: true -->
      <checkTestcasesModuleImportsLibCommon__Sync>true</checkTestcasesModuleImportsLibCommon__Sync>
      <checkModuleSize>true</checkModuleSize>
      <maximumAllowedModuleSizeInBytes>200000</maximumAllowedModuleSizeInBytes>
      <checkNoTabs>true</checkNoTabs>
      <checkNamingConventions>true</checkNamingConventions>
      <namingConventionsConfig>
        <moduleRegExp>[A-Z].*</moduleRegExp>
        <groupRegExp>[A-Z].*</groupRegExp>
        <dataTypeRegExp>[A-Z].*</dataTypeRegExp>
        <messageTemplateRegExp></messageTemplateRegExp>
        <messageTemplateWithWildcardsRegExp></messageTemplateWithWildcardsRegExp>
        <derivedMessageTemplateRegExp></derivedMessageTemplateRegExp>
        <derivedMessageTemplateWithWildcardsRegExp></derivedMessageTemplateWithWildcardsRegExp>
        <stf160sendTemplateRegExp>(cs|cas|cms|crs)_(508|108|[A-Z]).*</stf160sendTemplateRegExp>
        <stf160receiveTemplateRegExp>(cr|car|cmr)_(508|108|[A-Z]).*</stf160receiveTemplateRegExp>
        <derivedStf160sendTemplateRegExp>(cds|cads|cdrs)_(508|108|[A-Z]).*</derivedStf160sendTemplateRegExp>
        <derivedStf160receiveTemplateRegExp>(cdr|cadr)_(508|108|[A-Z]).*</derivedStf160receiveTemplateRegExp>
        <signatureTemplateRegExp>s_[a-z].*</signatureTemplateRegExp>
        <portInstanceRegExp>[A-Z].*</portInstanceRegExp>
        <componentInstanceRegExp>[a-z].*</componentInstanceRegExp>
        <constantRegExp>tsc_[A-Z].*</constantRegExp>
        <localConstantRegExp>(tsc|const)_[A-Z].*</localConstantRegExp>
        <extConstantRegExp>cx_[a-z].*</extConstantRegExp>
        <functionRegExp>(f|fl)_[A-Z].*</functionRegExp>
        <extFunctionRegExp>fx_[A-Z].*</extFunctionRegExp>
        <altstepRegExp>a_[A-Z].*</altstepRegExp>
        <testcaseRegExp>TC_.*</testcaseRegExp>
        <variableRegExp>(v_[A-Z].*|[i-nI-N])</variableRegExp>
        <componentVariableRegExp>vc_[A-Z].*</componentVariableRegExp>
        <timerRegExp>t_[A-Z].*</timerRegExp>
        <componentTimerRegExp>tc_[a-z].*</componentTimerRegExp>
        <moduleParameterRegExp>(pc|px)_.*</moduleParameterRegExp>
        <formalParameterRegExp>p_[A-Z].*</formalParameterRegExp>
        <enumeratedValueRegExp>.*</enumeratedValueRegExp>
      </namingConventionsConfig>
      <dependencyOutputPath>DOCUMENTATION</dependencyOutputPath>
      <pathFormattedOutputPath>FORMATTED</pathFormattedOutputPath>
      <!-- formattingParameters>
        <tabs>false</tabs>
        <unixNewline>false</unixNewline>
        <spacesBetweenAssignment>true</spacesBetweenAssignment>
        <spaceAfterComma>true</spaceAfterComma>
        <KRstyle>true</KRstyle>
        <newlineBeforeRunsOn>true</newlineBeforeRunsOn>
        <newlineBeforeSystem>true</newlineBeforeSystem>
        <newlineBeforeReturn>true</newlineBeforeReturn>
        <newlineBeforeExceptionSpec>true</newlineBeforeExceptionSpec>
        <newlineBeforeFormalPar>true</newlineBeforeFormalPar>
        <newlineAfterFormalParList>true</newlineAfterFormalParList>
        <spacesAroundParentheses>true</spacesAroundParentheses>
        <spacesCount>2</spacesCount>
        <linesBetweenModules>2</linesBetweenModules>
        <linesAfterControlPart>1</linesAfterControlPart>
        <linesAfterModuleDefinition>1</linesAfterModuleDefinition>
        <linesBetweenImportDefinitions>1</linesBetweenImportDefinitions>
      </formattingParameters -->
    </QualityCheckProfile>
    <QualityCheckProfile>
      <profileName>defaultProfile</profileName>
      <profileVersion>v2.0.0b27</profileVersion>
      <ignoredResourceRegExp>(.*[/\\]Common[/\\](IMS_LibSip|IMS_XSD)[/\\].*[.]ttcn)</ignoredResourceRegExp>
      <settingAbortOnError>true</settingAbortOnError>
      <loggingConfiguration>
        <showFullPath>false</showFullPath>
        <showFilename>true</showFilename>
        <showMessageClass>true</showMessageClass>
        <showDetails>true</showDetails>
        <logOutputPrefix>   </logOutputPrefix>
      </loggingConfiguration>
      <statShowSummary>true</statShowSummary>
      <statShowLOC>true</statShowLOC>
      <generateXMI>false</generateXMI>
      <featureListImportedModuleNames>false</featureListImportedModuleNames>
      <featureListImportedModuleFileNames>false</featureListImportedModuleFileNames>
      <featureListImportingModuleNames>false</featureListImportingModuleNames>
      <featureListImportingModuleFileNames>false</featureListImportingModuleFileNames>
      <checkLogItemFormat>false</checkLogItemFormat>
      <checkLogStatementFormat>true</checkLogStatementFormat>
      <processSubsequentLogStatementsAsOne>true</processSubsequentLogStatementsAsOne>
      <logFormatRegExp>[\*]{3}\s([fta]_[a-zA-Z0-9]+?):\s(INFO|WARNING|ERROR|PASS|FAIL|INCONC|TIMEOUT):\s.*?[\*]{3}</logFormatRegExp>
      <checkExternalFunctionInvocationPrecededByLogStatement>true</checkExternalFunctionInvocationPrecededByLogStatement>
      <checkInconcOrFailSetVerdictPrecededByLog>true</checkInconcOrFailSetVerdictPrecededByLog>
      <checkNoLabelsOrGotoStatements>true</checkNoLabelsOrGotoStatements>
      <checkNoNestedAltStatements>true</checkNoNestedAltStatements>
      <maximumAllowedNestingDepth>0</maximumAllowedNestingDepth>
      <checkNoPermutationKeyword>true</checkNoPermutationKeyword>
      <checkNoAnyTypeKeyword>true</checkNoAnyTypeKeyword>
      <checkNoModifiedTemplateOfModifiedTemplate>true</checkNoModifiedTemplateOfModifiedTemplate>
      <checkNoAllKeywordInPortDefinitions>true</checkNoAllKeywordInPortDefinitions>
      <checkImportsComeFirst>true</checkImportsComeFirst>
      <checkLocalDefinitionsComeFirst>true</checkLocalDefinitionsComeFirst>
      <localDefinitionTypes>
        <string>VarInstance</string>
        <string>ConstDef</string>
        <string>TimerInstance</string>
        <string>PortInstance</string>
      </localDefinitionTypes>
      <checkTypeDefOrderInGroup>true</checkTypeDefOrderInGroup>
      <checkPortMessageGrouping>true</checkPortMessageGrouping>
      <checkNoDuplicatedModuleDefinitionIdentifiers>true</checkNoDuplicatedModuleDefinitionIdentifiers>
      <checkZeroReferencedModuleDefinitions>true</checkZeroReferencedModuleDefinitions>
      <zeroReferencedModuleDefinitionsExcludedRegExp></zeroReferencedModuleDefinitionsExcludedRegExp>
      <checkNoInlineTemplates>true</checkNoInlineTemplates>
      <checkNoOverSpecificRunsOnClauses>true</checkNoOverSpecificRunsOnClauses>
      <recursionInCheckNoOverSpecificRunsOnClauses>true</recursionInCheckNoOverSpecificRunsOnClauses>
      <aliasInCheckNoOverSpecificRunsOnClauses>true</aliasInCheckNoOverSpecificRunsOnClauses>
      <checkNoUnusedImports>true</checkNoUnusedImports>
      <checkNoUnusedFormalParameters>true</checkNoUnusedFormalParameters>
      <checkNoUnusedLocalDefinitions>true</checkNoUnusedLocalDefinitions>
      <checkNoUninitialisedVariables>true</checkNoUninitialisedVariables>
      <checkNoUninitialisedVariablesExclude>
        <string>enumerated</string>
        <string>union</string>
        <string>record of</string>
        <string>record</string>
        <string>set of</string>
        <string>set</string>
      </checkNoUninitialisedVariablesExclude>
      <checkNoLiterals>false</checkNoLiterals>
      <checkLevelOfNestedCalls>true</checkLevelOfNestedCalls>
      <maxLevelOfNestedCalls>4</maxLevelOfNestedCalls>
      <checkInlineTemplates>true</checkInlineTemplates>
      <checkListedVariableDeclarations>false</checkListedVariableDeclarations>
      <checkTypesAndValuesModuleContainmentCheck>true</checkTypesAndValuesModuleContainmentCheck>
      <checkTemplatesModuleContainmentCheck>true</checkTemplatesModuleContainmentCheck>
      <checkFunctionsModuleContainmentCheck>true</checkFunctionsModuleContainmentCheck>
      <checkFunctionsModuleContainmentCheckAllowExtFunction>true</checkFunctionsModuleContainmentCheckAllowExtFunction>
      <checkTestcasesModuleContainmentCheck>true</checkTestcasesModuleContainmentCheck>
      <checkModuleParamsModuleContainmentCheck>true</checkModuleParamsModuleContainmentCheck>
      <checkInterfaceModuleContainmentCheck>true</checkInterfaceModuleContainmentCheck>
      <checkTestSystemModuleContainmentCheck>true</checkTestSystemModuleContainmentCheck>
      <checkTestControlModuleContainmentCheck>true</checkTestControlModuleContainmentCheck>
      <checkTypesAndValuesModuleImportsLibNames>true</checkTypesAndValuesModuleImportsLibNames>
      <typesAndValuesImportsLibNamesRegExp>.*?LibCommon.*</typesAndValuesImportsLibNamesRegExp>
      <typesAndValuesImportsLibNamesExcludedRegExp>(.*?LibCommon.*)</typesAndValuesImportsLibNamesExcludedRegExp>
      <checkTestcasesModuleImportsLibCommon__Sync>false</checkTestcasesModuleImportsLibCommon__Sync>
      <checkModuleSize>true</checkModuleSize>
      <maximumAllowedModuleSizeInBytes>10000</maximumAllowedModuleSizeInBytes>
      <checkNoTabs>true</checkNoTabs>
      <checkNamingConventions>true</checkNamingConventions>
      <namingConventionsConfig>
        <moduleRegExp>[A-Z].*</moduleRegExp>
        <groupRegExp>[a-z].*</groupRegExp>
        <dataTypeRegExp>[A-Z].*</dataTypeRegExp>
        <messageTemplateRegExp>m_[a-z].*</messageTemplateRegExp>
        <messageTemplateWithWildcardsRegExp>mw_[a-z].*</messageTemplateWithWildcardsRegExp>
        <derivedMessageTemplateRegExp>md_[a-z].*</derivedMessageTemplateRegExp>
        <derivedMessageTemplateWithWildcardsRegExp>mdw_[a-z].*</derivedMessageTemplateWithWildcardsRegExp>
        <stf160sendTemplateRegExp>cs_[a-z].*</stf160sendTemplateRegExp>
        <stf160receiveTemplateRegExp>cr_[a-z].*</stf160receiveTemplateRegExp>
        <derivedStf160sendTemplateRegExp>dcs_[a-z].*</derivedStf160sendTemplateRegExp>
        <derivedStf160receiveTemplateRegExp>dcr_[a-z].*</derivedStf160receiveTemplateRegExp>
        <signatureTemplateRegExp>s_[a-z].*</signatureTemplateRegExp>
        <portInstanceRegExp>[a-z].*</portInstanceRegExp>
        <componentInstanceRegExp>[a-z].*</componentInstanceRegExp>
        <constantRegExp>c_[a-z].*</constantRegExp>
        <localConstantRegExp>cl_[a-z].*</localConstantRegExp>
        <extConstantRegExp>cx_[a-z].*</extConstantRegExp>
        <functionRegExp>f_[a-z].*</functionRegExp>
        <extFunctionRegExp>fx_[a-z].*</extFunctionRegExp>
        <altstepRegExp>a_[a-z].*</altstepRegExp>
        <testcaseRegExp>TC_.*</testcaseRegExp>
        <variableRegExp>v_[a-z].*</variableRegExp>
        <componentVariableRegExp>vc_[a-z].*</componentVariableRegExp>
        <timerRegExp>t_[a-z].*</timerRegExp>
        <componentTimerRegExp>tc_[a-z].*</componentTimerRegExp>
        <moduleParameterRegExp>[A-Z][A-Z_1-9]*</moduleParameterRegExp>
        <formalParameterRegExp>p_[a-z].*</formalParameterRegExp>
        <enumeratedValueRegExp>e_[a-z].*</enumeratedValueRegExp>
      </namingConventionsConfig>
      <pathFormattedOutputPath>FORMATTED</pathFormattedOutputPath>
    </QualityCheckProfile>
    <QualityCheckProfile>
      <profileName>nothing</profileName>
      <profileVersion>v2.0.0b27</profileVersion>
      <ignoredResourceRegExp>(.*[/\\]Common[/\\](IMS_LibSip|IMS_XSD)[/\\].*[.]ttcn)</ignoredResourceRegExp>
      <settingAbortOnError>true</settingAbortOnError>
      <loggingConfiguration>
        <showFullPath>false</showFullPath>
        <showFilename>true</showFilename>
        <showMessageClass>true</showMessageClass>
        <showDetails>true</showDetails>
        <logOutputPrefix>   </logOutputPrefix>
      </loggingConfiguration>
      <statShowSummary>true</statShowSummary>
      <statShowLOC>true</statShowLOC>
      <generateXMI>false</generateXMI>
      <featureListImportedModuleNames>false</featureListImportedModuleNames>
      <featureListImportedModuleFileNames>false</featureListImportedModuleFileNames>
      <featureListImportingModuleNames>false</featureListImportingModuleNames>
      <featureListImportingModuleFileNames>false</featureListImportingModuleFileNames>
      <checkLogItemFormat>false</checkLogItemFormat>
      <checkLogStatementFormat>false</checkLogStatementFormat>
      <processSubsequentLogStatementsAsOne>false</processSubsequentLogStatementsAsOne>
      <logFormatRegExp>[\*]{3}\s([fta]_[a-zA-Z0-9]+?):\s(INFO|WARNING|ERROR|PASS|FAIL|INCONC|TIMEOUT):\s.*?[\*]{3}</logFormatRegExp>
      <checkExternalFunctionInvocationPrecededByLogStatement>false</checkExternalFunctionInvocationPrecededByLogStatement>
      <checkInconcOrFailSetVerdictPrecededByLog>false</checkInconcOrFailSetVerdictPrecededByLog>
      <checkNoLabelsOrGotoStatements>false</checkNoLabelsOrGotoStatements>
      <checkNoNestedAltStatements>false</checkNoNestedAltStatements>
      <maximumAllowedNestingDepth>0</maximumAllowedNestingDepth>
      <checkNoPermutationKeyword>false</checkNoPermutationKeyword>
      <checkNoAnyTypeKeyword>false</checkNoAnyTypeKeyword>
      <checkNoModifiedTemplateOfModifiedTemplate>true</checkNoModifiedTemplateOfModifiedTemplate>
      <checkNoAllKeywordInPortDefinitions>false</checkNoAllKeywordInPortDefinitions>
      <checkImportsComeFirst>false</checkImportsComeFirst>
      <checkLocalDefinitionsComeFirst>false</checkLocalDefinitionsComeFirst>
      <localDefinitionTypes>
        <string>VarInstance</string>
        <string>ConstDef</string>
        <string>TimerInstance</string>
        <string>PortInstance</string>
      </localDefinitionTypes>
      <checkTypeDefOrderInGroup>false</checkTypeDefOrderInGroup>
      <checkPortMessageGrouping>false</checkPortMessageGrouping>
      <checkNoDuplicatedModuleDefinitionIdentifiers>false</checkNoDuplicatedModuleDefinitionIdentifiers>
      <checkZeroReferencedModuleDefinitions>false</checkZeroReferencedModuleDefinitions>
      <zeroReferencedModuleDefinitionsExcludedRegExp></zeroReferencedModuleDefinitionsExcludedRegExp>
      <checkNoInlineTemplates>false</checkNoInlineTemplates>
      <checkNoOverSpecificRunsOnClauses>false</checkNoOverSpecificRunsOnClauses>
      <recursionInCheckNoOverSpecificRunsOnClauses>false</recursionInCheckNoOverSpecificRunsOnClauses>
      <aliasInCheckNoOverSpecificRunsOnClauses>true</aliasInCheckNoOverSpecificRunsOnClauses>
      <checkNoUnusedImports>false</checkNoUnusedImports>
      <checkNoUnusedFormalParameters>false</checkNoUnusedFormalParameters>
      <checkNoUnusedLocalDefinitions>false</checkNoUnusedLocalDefinitions>
      <checkNoUninitialisedVariables>true</checkNoUninitialisedVariables>
      <checkNoUninitialisedVariablesExclude>
        <string>enumerated</string>
        <string>union</string>
        <string>record of</string>
        <string>record</string>
        <string>set of</string>
        <string>set</string>
      </checkNoUninitialisedVariablesExclude>
      <checkNoLiterals>false</checkNoLiterals>
      <checkLevelOfNestedCalls>false</checkLevelOfNestedCalls>
      <maxLevelOfNestedCalls>4</maxLevelOfNestedCalls>
      <checkInlineTemplates>true</checkInlineTemplates>
      <checkListedVariableDeclarations>false</checkListedVariableDeclarations>
      <checkTypesAndValuesModuleContainmentCheck>false</checkTypesAndValuesModuleContainmentCheck>
      <checkTemplatesModuleContainmentCheck>false</checkTemplatesModuleContainmentCheck>
      <checkFunctionsModuleContainmentCheck>false</checkFunctionsModuleContainmentCheck>
      <checkFunctionsModuleContainmentCheckAllowExtFunction>false</checkFunctionsModuleContainmentCheckAllowExtFunction>
      <checkTestcasesModuleContainmentCheck>false</checkTestcasesModuleContainmentCheck>
      <checkModuleParamsModuleContainmentCheck>false</checkModuleParamsModuleContainmentCheck>
      <checkInterfaceModuleContainmentCheck>false</checkInterfaceModuleContainmentCheck>
      <checkTestSystemModuleContainmentCheck>false</checkTestSystemModuleContainmentCheck>
      <checkTestControlModuleContainmentCheck>false</checkTestControlModuleContainmentCheck>
      <checkTypesAndValuesModuleImportsLibNames>false</checkTypesAndValuesModuleImportsLibNames>
      <typesAndValuesImportsLibNamesRegExp>.*?LibCommon.*</typesAndValuesImportsLibNamesRegExp>
      <typesAndValuesImportsLibNamesExcludedRegExp>(.*?LibCommon.*)</typesAndValuesImportsLibNamesExcludedRegExp>
      <checkTestcasesModuleImportsLibCommon__Sync>false</checkTestcasesModuleImportsLibCommon__Sync>
      <checkModuleSize>false</checkModuleSize>
      <maximumAllowedModuleSizeInBytes>10000</maximumAllowedModuleSizeInBytes>
      <checkNoTabs>true</checkNoTabs>
      <checkNamingConventions>false</checkNamingConventions>
      <namingConventionsConfig>
        <moduleRegExp>[A-Z].*</moduleRegExp>
        <groupRegExp>[a-z].*</groupRegExp>
        <dataTypeRegExp>[A-Z].*</dataTypeRegExp>
        <messageTemplateRegExp>m_[a-z].*</messageTemplateRegExp>
        <messageTemplateWithWildcardsRegExp>mw_[a-z].*</messageTemplateWithWildcardsRegExp>
        <derivedMessageTemplateRegExp>md_[a-z].*</derivedMessageTemplateRegExp>
        <derivedMessageTemplateWithWildcardsRegExp>mdw_[a-z].*</derivedMessageTemplateWithWildcardsRegExp>
        <stf160sendTemplateRegExp>cs_[a-z].*</stf160sendTemplateRegExp>
        <stf160receiveTemplateRegExp>cr_[a-z].*</stf160receiveTemplateRegExp>
        <derivedStf160sendTemplateRegExp>dcs_[a-z].*</derivedStf160sendTemplateRegExp>
        <derivedStf160receiveTemplateRegExp>dcr_[a-z].*</derivedStf160receiveTemplateRegExp>
        <signatureTemplateRegExp>s_[a-z].*</signatureTemplateRegExp>
        <portInstanceRegExp>[a-z].*</portInstanceRegExp>
        <componentInstanceRegExp>[a-z].*</componentInstanceRegExp>
        <constantRegExp>c_[a-z].*</constantRegExp>
        <localConstantRegExp>cl_[a-z].*</localConstantRegExp>
        <extConstantRegExp>cx_[a-z].*</extConstantRegExp>
        <functionRegExp>f_[a-z].*</functionRegExp>
        <extFunctionRegExp>fx_[a-z].*</extFunctionRegExp>
        <altstepRegExp>a_[a-z].*</altstepRegExp>
        <testcaseRegExp>TC_.*</testcaseRegExp>
        <variableRegExp>v_[a-z].*</variableRegExp>
        <componentVariableRegExp>vc_[a-z].*</componentVariableRegExp>
        <timerRegExp>t_[a-z].*</timerRegExp>
        <componentTimerRegExp>tc_[a-z].*</componentTimerRegExp>
        <moduleParameterRegExp>[A-Z][A-Z_1-9]*</moduleParameterRegExp>
        <formalParameterRegExp>p_[a-z].*</formalParameterRegExp>
        <enumeratedValueRegExp>e_[a-z].*</enumeratedValueRegExp>
      </namingConventionsConfig>
      <pathFormattedOutputPath>FORMATTED</pathFormattedOutputPath>
    </QualityCheckProfile>    
  </ConfigurationProfiles>
  <defaultConfigurationProfile>all</defaultConfigurationProfile>
</T3QConfig>